com.google.gwt.user.client.ui

## Class ListenerWrapper.WrappedMouseListener

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<T>
  - - com.google.gwt.user.client.ui.ListenerWrapper<MouseListener>
    - - com.google.gwt.user.client.ui.ListenerWrapper.WrappedMouseListener

- All Implemented Interfaces:
    MouseDownHandler, MouseMoveHandler, MouseOutHandler, MouseOverHandler, MouseUpHandler, EventHandler
  Enclosing class:
    ListenerWrapper<T>

      public static class ListenerWrapper.WrappedMouseListener
      extends ListenerWrapper<MouseListener>
      implements MouseDownHandler, MouseUpHandler, MouseOutHandler, MouseOverHandler, MouseMoveHandler

  Wrapper for a `MouseListener`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ListenerWrapper

      `ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener<V>, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <E extends HasMouseDownHandlers & HasMouseUpHandlers & HasMouseOutHandlers & HasMouseOverHandlers & HasMouseMoveHandlers> ListenerWrapper.WrappedMouseListener` | `add(E source, MouseListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes
    `void` | `onMouseDown(MouseDownEvent event)` Called when MouseDown is fired.
    `void` | `onMouseMove(MouseMoveEvent event)` Called when MouseMoveEvent is fired.
    `void` | `onMouseOut(MouseOutEvent event)` Called when MouseOutEvent is fired.
    `void` | `onMouseOver(MouseOverEvent event)` Called when MouseOverEvent is fired.
    `void` | `onMouseUp(MouseUpEvent event)` Called when MouseUpEvent is fired.
    `static void` | `remove(Widget eventSource, MouseListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes

    - ### Methods inherited from class com.google.gwt.user.client.ui.ListenerWrapper

      `baseRemove, getSource, setSource`

    - ### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

      `baseRemove, getListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          @Deprecated
          public static <E extends HasMouseDownHandlers & HasMouseUpHandlers & HasMouseOutHandlers & HasMouseOverHandlers & HasMouseMoveHandlers> ListenerWrapper.WrappedMouseListener add(E source,
                                                                                                                                                                                                       MouseListener listener)

      Deprecated. will be removed in GWT 2.0 along with the listener classes
      Adds the wrapped listener.
      Type Parameters:
        `E` - source of the handlers
      Parameters:
        `source` - the event source
        `listener` - the listener
      Returns:
        the wrapped listener

    - #### remove

          @Deprecated
          public static void remove(Widget eventSource,
                                                MouseListener listener)

      Deprecated. will be removed in GWT 2.0 along with the listener classes
      Removes the wrapped listener.
      Parameters:
        `eventSource` - the event source from which to remove the wrapped listener
        `listener` - the listener to remove

    - #### onMouseDown

          public void onMouseDown(MouseDownEvent event)

      Description copied from interface: `MouseDownHandler`
      Called when MouseDown is fired.
      Specified by:
        `onMouseDown` in interface `MouseDownHandler`
      Parameters:
        `event` - the `MouseDownEvent` that was fired

    - #### onMouseMove

          public void onMouseMove(MouseMoveEvent event)

      Description copied from interface: `MouseMoveHandler`
      Called when MouseMoveEvent is fired.
      Specified by:
        `onMouseMove` in interface `MouseMoveHandler`
      Parameters:
        `event` - the `MouseMoveEvent` that was fired

    - #### onMouseOut

          public void onMouseOut(MouseOutEvent event)

      Description copied from interface: `MouseOutHandler`
      Called when MouseOutEvent is fired.
      Specified by:
        `onMouseOut` in interface `MouseOutHandler`
      Parameters:
        `event` - the `MouseOutEvent` that was fired

    - #### onMouseOver

          public void onMouseOver(MouseOverEvent event)

      Description copied from interface: `MouseOverHandler`
      Called when MouseOverEvent is fired.
      Specified by:
        `onMouseOver` in interface `MouseOverHandler`
      Parameters:
        `event` - the `MouseOverEvent` that was fired

    - #### onMouseUp

          public void onMouseUp(MouseUpEvent event)

      Description copied from interface: `MouseUpHandler`
      Called when MouseUpEvent is fired.
      Specified by:
        `onMouseUp` in interface `MouseUpHandler`
      Parameters:
        `event` - the `MouseUpEvent` that was fired